Bug 182476 - xen guest installation should provide an option to use local CD/DVD installation media
xen guest installation should provide an option to use local CD/DVD installat...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 14:50 EST by Ravi Terala
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 16:25:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravi Terala 2006-02-22 14:50:53 EST
Description of problem:
When CD/DVD media is available, the anaconda installer for xen guest should use
it. This allows faster installations.

Version-Release number of selected component (if applicable):
FC5-test3

How reproducible:
1. use xen-guestinstall.py to install.

Steps to Reproduce:
1. /usr/sbin/xen-guestinstall.py
2. It does not provide an option to point it to the local CD/DVD installation media.
3.
  
Actual results:
Using local CD/DVD installation media is not possible.

Expected results:
An option should exist that allows local CD/DVD installation media to be used
while installating xen guest.

Additional info:
Comment 1 Jeremy Katz 2006-02-22 16:25:04 EST
There's no mechanism to export CD devices to a paravirtualized guest, so this
isn't really possible.  You could mount the DVD iso and NFS export it from the
host to the guest for something like this to work.
Comment 2 Ravi Terala 2006-03-07 08:04:05 EST
(In reply to comment #1)
> There's no mechanism to export CD devices to a paravirtualized guest, so this
> isn't really possible.  You could mount the DVD iso and NFS export it from the
> host to the guest for something like this to work.

Is it possible to export the file system/directory as below? Just brain storming..

1. Unmount existing CD/DVD media. Assume CD/DVD drive is at /dev/hdd.
2. Change the guest config to use the phy media at /dev/hdd.
3. Boot the guest os.
4. Let anaconda know that installation media is at the new phy drive.



Note You need to log in before you can comment on or make changes to this bug.